Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.metadata
Class MBeanCapability

    java.lang.Object
      org.jboss.mx.metadata.MBeanCapability

public class MBeanCapability
extends Object

Holds the type of an MBean class. The introspection algorithm used is the following: 1. If MyClass is an instance of the DynamicMBean interface, then the return value of its getMBeanInfo method will list the attributes and operations of the resource. In other words, MyClass is a dynamic MBean. 2. If the MyClass MBean is an instance of a MyClassMBean interface, then only the methods listed in, or inherited by, the interface are considered among all the methods of, or inherited by, the MBean. The design patterns are then used to identify the attributes and operations from the method names in the MyClassMBean interface and its ancestors. In other words, MyClass is a standard MBean. 3. If MyClass is an instance of the DynamicMBean interface, then MyClassMBean is ignored. If MyClassMBean is not a public interface, it is not a JMX manageable resource. If the MBean is an instance of neither MyClassMBean nor DynamicMBean, the inheritance tree of MyClass is examined, looking for the nearest superclass that implements its own MBean interface. a. If there is an ancestor called SuperClass that is an instance of SuperClassMBean, the design patterns are used to derive the attributes and operations from SuperClassMBean. In this case, the MBean MyClass then has the same management interface as the MBean SuperClass. If SuperClassMBean is not a public interface, it is not a JMX manageable resource. b. When there is no superclass with its own MBean interface, MyClass is not a JMX manageable resource.

Author:
  Trevor Squires., thomas.diesler@jboss.org

Field Summary
`static int` | `DYNAMIC_MBEAN`
`protected int` | `mbeanType`
`static int` | `NOT_AN_MBEAN`
`static int` | `STANDARD_MBEAN`

Method Summary
`int` | `getMBeanType()`
`static MBeanCapability` | `of(Class mbeanClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DYNAMIC_MBEAN

    public static final int DYNAMIC_MBEAN

See Also:
  Constant Field Values

### STANDARD_MBEAN

    public static final int STANDARD_MBEAN

See Also:
  Constant Field Values

### NOT_AN_MBEAN

    public static final int NOT_AN_MBEAN

See Also:
  Constant Field Values

### mbeanType

    protected int mbeanType

Method Detail

### getMBeanType

    public int getMBeanType()

### of

    public static MBeanCapability of(Class mbeanClass)
                              throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.